openapi: 3.0.3
info:
  title: RUBEZH STRAZH API v1.6
  version: '1.6'
  description: Публичный перечень методов API, извлеченный из опубликованной базы
    знаний. Схемы запросов и ответов требуют проверки по полной технической документации.
servers:
- url: https://{controller}/api/v1
  variables:
    controller:
      default: controller.local
paths:
  /login:
    post:
      summary: POST /login
      operationId: post_login
      tags:
      - Авторизация
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
  /auth_users:
    get:
      summary: GET /auth_users
      operationId: get_auth_users
      tags:
      - Пользователи авторизации
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /auth_users
      operationId: post_auth_users
      tags:
      - Пользователи авторизации
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /auth_users/{login}:
    get:
      summary: GET /auth_users/{login}
      operationId: get_auth_users_by_login
      tags:
      - Пользователи авторизации
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: login
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /auth_users/{login}
      operationId: put_auth_users_by_login
      tags:
      - Пользователи авторизации
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: login
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /auth_users/{login}
      operationId: delete_auth_users_by_login
      tags:
      - Пользователи авторизации
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: login
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /staff:
    get:
      summary: GET /staff
      operationId: get_staff
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /staff
      operationId: post_staff
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /staff/banned:
    get:
      summary: GET /staff/banned
      operationId: get_staff_banned
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /staff/count:
    get:
      summary: GET /staff/count
      operationId: get_staff_count
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /staff/search:
    get:
      summary: GET /staff/search
      operationId: get_staff_search
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /staff/{uuid}:
    get:
      summary: GET /staff/{uuid}
      operationId: get_staff_by_uuid
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /staff/{uuid}
      operationId: put_staff_by_uuid
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /staff/{uuid}
      operationId: delete_staff_by_uuid
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /staff/{uuid}/last_access:
    get:
      summary: GET /staff/{uuid}/last_access
      operationId: get_staff_by_uuid_last_access
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /staff_properties:
    get:
      summary: GET /staff_properties
      operationId: get_staff_properties
      tags:
      - Свойства сотрудников
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /staff_properties
      operationId: post_staff_properties
      tags:
      - Свойства сотрудников
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /staff_properties/{name}:
    get:
      summary: GET /staff_properties/{name}
      operationId: get_staff_properties_by_name
      tags:
      - Свойства сотрудников
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /staff_properties/{name}
      operationId: put_staff_properties_by_name
      tags:
      - Свойства сотрудников
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /staff_properties/{name}
      operationId: delete_staff_properties_by_name
      tags:
      - Свойства сотрудников
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /staff/ban/{uuid}:
    put:
      summary: PUT /staff/ban/{uuid}
      operationId: put_staff_ban_by_uuid
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /staff/unban/{uuid}:
    put:
      summary: PUT /staff/unban/{uuid}
      operationId: put_staff_unban_by_uuid
      tags:
      - Сотрудники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /visitors:
    get:
      summary: GET /visitors
      operationId: get_visitors
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /visitors
      operationId: post_visitors
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors/count:
    get:
      summary: GET /visitors/count
      operationId: get_visitors_count
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors/count_planned:
    get:
      summary: GET /visitors/count_planned
      operationId: get_visitors_count_planned
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors/{uuid}:
    get:
      summary: GET /visitors/{uuid}
      operationId: get_visitors_by_uuid
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /visitors/{uuid}
      operationId: put_visitors_by_uuid
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /visitors/{uuid}
      operationId: delete_visitors_by_uuid
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /visitors/sort:
    get:
      summary: GET /visitors/sort
      operationId: get_visitors_sort
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors/multisearch:
    get:
      summary: GET /visitors/multisearch
      operationId: get_visitors_multisearch
      tags:
      - Посетители
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors_properties:
    get:
      summary: GET /visitors_properties
      operationId: get_visitors_properties
      tags:
      - Свойства посетителей
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /visitors_properties
      operationId: post_visitors_properties
      tags:
      - Свойства посетителей
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /visitors_properties/{name}:
    get:
      summary: GET /visitors_properties/{name}
      operationId: get_visitors_properties_by_name
      tags:
      - Свойства посетителей
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /visitors_properties/{name}
      operationId: put_visitors_properties_by_name
      tags:
      - Свойства посетителей
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /visitors_properties/{name}
      operationId: delete_visitors_properties_by_name
      tags:
      - Свойства посетителей
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /identifiers:
    get:
      summary: GET /identifiers
      operationId: get_identifiers
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /identifiers
      operationId: post_identifiers
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifiers/search:
    get:
      summary: GET /identifiers/search
      operationId: get_identifiers_search
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifiers/count:
    get:
      summary: GET /identifiers/count
      operationId: get_identifiers_count
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifiers/ext_privileges:
    get:
      summary: GET /identifiers/ext_privileges
      operationId: get_identifiers_ext_privileges
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifier/generate:
    get:
      summary: GET /identifier/generate
      operationId: get_identifier_generate
      tags:
      - Идентификатор
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifier/{code}:
    get:
      summary: GET /identifier/{code}
      operationId: get_identifier_by_code
      tags:
      - Идентификатор
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: code
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /identifiers/sort:
    get:
      summary: GET /identifiers/sort
      operationId: get_identifiers_sort
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /identifiers/{code}:
    put:
      summary: PUT /identifiers/{code}
      operationId: put_identifiers_by_code
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: code
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /identifiers/{code}
      operationId: delete_identifiers_by_code
      tags:
      - Идентификаторы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: code
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /devices:
    get:
      summary: GET /devices
      operationId: get_devices
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/count:
    get:
      summary: GET /devices/count
      operationId: get_devices_count
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/controllers_list:
    get:
      summary: GET /devices/controllers_list
      operationId: get_devices_controllers_list
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/by_controller/{controller}:
    get:
      summary: GET /devices/by_controller/{controller}
      operationId: get_devices_by_controller_by_controller
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: controller
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /devices/have_errors:
    get:
      summary: GET /devices/have_errors
      operationId: get_devices_have_errors
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/have_notifications:
    get:
      summary: GET /devices/have_notifications
      operationId: get_devices_have_notifications
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/find:
    get:
      summary: GET /devices/find
      operationId: get_devices_find
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /devices/{uuid}:
    get:
      summary: GET /devices/{uuid}
      operationId: get_devices_by_uuid
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /devices/{uuid}
      operationId: delete_devices_by_uuid
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /devices/action:
    post:
      summary: POST /devices/action
      operationId: post_devices_action
      tags:
      - Устройства
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points:
    get:
      summary: GET /access_points
      operationId: get_access_points
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/ext_parameters:
    get:
      summary: GET /access_points/ext_parameters
      operationId: get_access_points_ext_parameters
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/ext_parameters/sections:
    get:
      summary: GET /access_points/ext_parameters/sections
      operationId: get_access_points_ext_parameters_sections
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/{uuid}:
    get:
      summary: GET /access_points/{uuid}
      operationId: get_access_points_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /access_points/{uuid}
      operationId: delete_access_points_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points_automations:
    get:
      summary: GET /access_points_automations
      operationId: get_access_points_automations
      tags:
      - Автоматизации точек доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /access_points_automations
      operationId: post_access_points_automations
      tags:
      - Автоматизации точек доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points_automations/{uuid}:
    get:
      summary: GET /access_points_automations/{uuid}
      operationId: get_access_points_automations_by_uuid
      tags:
      - Автоматизации точек доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /access_points_automations/{uuid}
      operationId: put_access_points_automations_by_uuid
      tags:
      - Автоматизации точек доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /access_points_automations/{uuid}
      operationId: delete_access_points_automations_by_uuid
      tags:
      - Автоматизации точек доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/single:
    post:
      summary: POST /access_points/single
      operationId: post_access_points_single
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/double:
    post:
      summary: POST /access_points/double
      operationId: post_access_points_double
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/mantrap:
    post:
      summary: POST /access_points/mantrap
      operationId: post_access_points_mantrap
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/turnstile:
    post:
      summary: POST /access_points/turnstile
      operationId: post_access_points_turnstile
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/turnstile_with_card_box:
    post:
      summary: POST /access_points/turnstile_with_card_box
      operationId: post_access_points_turnstile_with_card_box
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/barrier:
    post:
      summary: POST /access_points/barrier
      operationId: post_access_points_barrier
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_points/{uuid}/state/{state}:
    post:
      summary: POST /access_points/{uuid}/state/{state}
      operationId: post_access_points_by_uuid_state_by_state
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      - name: state
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/single/{uuid}:
    put:
      summary: PUT /access_points/single/{uuid}
      operationId: put_access_points_single_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/double/{uuid}:
    put:
      summary: PUT /access_points/double/{uuid}
      operationId: put_access_points_double_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/mantrap/{uuid}:
    put:
      summary: PUT /access_points/mantrap/{uuid}
      operationId: put_access_points_mantrap_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/turnstile/{uuid}:
    put:
      summary: PUT /access_points/turnstile/{uuid}
      operationId: put_access_points_turnstile_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/turnstile_with_card_box/{uuid}:
    put:
      summary: PUT /access_points/turnstile_with_card_box/{uuid}
      operationId: put_access_points_turnstile_with_card_box_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_points/barrier/{uuid}:
    put:
      summary: PUT /access_points/barrier/{uuid}
      operationId: put_access_points_barrier_by_uuid
      tags:
      - Точки доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_profiles:
    get:
      summary: GET /access_profiles
      operationId: get_access_profiles
      tags:
      - Профили доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /access_profiles
      operationId: post_access_profiles
      tags:
      - Профили доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_profiles/{uuid}:
    get:
      summary: GET /access_profiles/{uuid}
      operationId: get_access_profiles_by_uuid
      tags:
      - Профили доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /access_profiles/{uuid}
      operationId: put_access_profiles_by_uuid
      tags:
      - Профили доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /access_profiles/{uuid}
      operationId: delete_access_profiles_by_uuid
      tags:
      - Профили доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tmp_access:
    get:
      summary: GET /tmp_access
      operationId: get_tmp_access
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /tmp_access
      operationId: post_tmp_access
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /tmp_access/{uuid}:
    get:
      summary: GET /tmp_access/{uuid}
      operationId: get_tmp_access_by_uuid
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /tmp_access/{uuid}
      operationId: put_tmp_access_by_uuid
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /tmp_access/{uuid}
      operationId: delete_tmp_access_by_uuid
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tmp_access/by_user/{user_uuid}:
    get:
      summary: GET /tmp_access/by_user/{user_uuid}
      operationId: get_tmp_access_by_user_by_user_uuid
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: user_uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tmp_access/by_date/{date}:
    get:
      summary: GET /tmp_access/by_date/{date}
      operationId: get_tmp_access_by_date_by_date
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: date
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tmp_access/by_user_and_date/{user_uuid}/{date}:
    get:
      summary: GET /tmp_access/by_user_and_date/{user_uuid}/{date}
      operationId: get_tmp_access_by_user_and_date_by_user_uuid_by_date
      tags:
      - Временный доступ
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: user_uuid
        in: path
        required: true
        schema:
          type: string
      - name: date
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /schedules:
    get:
      summary: GET /schedules
      operationId: get_schedules
      tags:
      - Расписания
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /schedules
      operationId: post_schedules
      tags:
      - Расписания
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /schedules/{uuid}:
    get:
      summary: GET /schedules/{uuid}
      operationId: get_schedules_by_uuid
      tags:
      - Расписания
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /schedules/{uuid}
      operationId: put_schedules_by_uuid
      tags:
      - Расписания
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /schedules/{uuid}
      operationId: delete_schedules_by_uuid
      tags:
      - Расписания
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /audit_events:
    get:
      summary: GET /audit_events
      operationId: get_audit_events
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /audit_events/types:
    get:
      summary: GET /audit_events/types
      operationId: get_audit_events_types
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /audit_events/count:
    get:
      summary: GET /audit_events/count
      operationId: get_audit_events_count
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /audit_events/{uuid}:
    get:
      summary: GET /audit_events/{uuid}
      operationId: get_audit_events_by_uuid
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_events:
    get:
      summary: GET /access_events
      operationId: get_access_events
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_events/types:
    get:
      summary: GET /access_events/types
      operationId: get_access_events_types
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_events/count:
    get:
      summary: GET /access_events/count
      operationId: get_access_events_count
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_events/{uuid}:
    get:
      summary: GET /access_events/{uuid}
      operationId: get_access_events_by_uuid
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /notification_events:
    get:
      summary: GET /notification_events
      operationId: get_notification_events
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/error_codes:
    get:
      summary: GET /notification_events/error_codes
      operationId: get_notification_events_error_codes
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/count:
    get:
      summary: GET /notification_events/count
      operationId: get_notification_events_count
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/types:
    get:
      summary: GET /notification_events/types
      operationId: get_notification_events_types
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/{uuid}:
    get:
      summary: GET /notification_events/{uuid}
      operationId: get_notification_events_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /notification_events/user_defined_notifications:
    get:
      summary: GET /notification_events/user_defined_notifications
      operationId: get_notification_events_user_defined_notifications
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /notification_events/user_defined_notifications
      operationId: post_notification_events_user_defined_notifications
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/user_defined_notifications/{uuid}:
    get:
      summary: GET /notification_events/user_defined_notifications/{uuid}
      operationId: get_notification_events_user_defined_notifications_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /notification_events/user_defined_notifications/{uuid}
      operationId: put_notification_events_user_defined_notifications_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /notification_events/user_defined_notifications/{uuid}
      operationId: delete_notification_events_user_defined_notifications_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /audit_events/user_defined:
    post:
      summary: POST /audit_events/user_defined
      operationId: post_audit_events_user_defined
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_events/user_defined:
    post:
      summary: POST /access_events/user_defined
      operationId: post_access_events_user_defined
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /notification_events/user_defined:
    post:
      summary: POST /notification_events/user_defined
      operationId: post_notification_events_user_defined
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /audit_events/user_defined/{uuid}:
    put:
      summary: PUT /audit_events/user_defined/{uuid}
      operationId: put_audit_events_user_defined_by_uuid
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /audit_events/user_defined/{uuid}
      operationId: delete_audit_events_user_defined_by_uuid
      tags:
      - События аудита
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /access_events/user_defined/{uuid}:
    put:
      summary: PUT /access_events/user_defined/{uuid}
      operationId: put_access_events_user_defined_by_uuid
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /access_events/user_defined/{uuid}
      operationId: delete_access_events_user_defined_by_uuid
      tags:
      - События доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /notification_events/user_defined/{uuid}:
    put:
      summary: PUT /notification_events/user_defined/{uuid}
      operationId: put_notification_events_user_defined_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /notification_events/user_defined/{uuid}
      operationId: delete_notification_events_user_defined_by_uuid
      tags:
      - События уведомлений
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /alerts/sortByAccessPoint:
    get:
      summary: GET /alerts/sortByAccessPoint
      operationId: get_alerts_sortByAccessPoint
      tags:
      - Тревоги
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /alerts/access_points/{uuid}/count:
    get:
      summary: GET /alerts/access_points/{uuid}/count
      operationId: get_alerts_access_points_by_uuid_count
      tags:
      - Тревоги
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /alerts/violations:
    get:
      summary: GET /alerts/violations
      operationId: get_alerts_violations
      tags:
      - Тревоги
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /alerts/{uuid}:
    delete:
      summary: DELETE /alerts/{uuid}
      operationId: delete_alerts_by_uuid
      tags:
      - Тревоги
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /alerts/access_points/{uuid}:
    delete:
      summary: DELETE /alerts/access_points/{uuid}
      operationId: delete_alerts_access_points_by_uuid
      tags:
      - Тревоги
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tt_export/configs:
    get:
      summary: GET /tt_export/configs
      operationId: get_tt_export_configs
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /tt_export/configs
      operationId: post_tt_export_configs
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /tt_export/configs/{uuid}:
    get:
      summary: GET /tt_export/configs/{uuid}
      operationId: get_tt_export_configs_by_uuid
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /tt_export/configs/{uuid}
      operationId: put_tt_export_configs_by_uuid
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /tt_export/configs/{uuid}
      operationId: delete_tt_export_configs_by_uuid
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tt_export/{uuid}:
    get:
      summary: GET /tt_export/{uuid}
      operationId: get_tt_export_by_uuid
      tags:
      - Экспорт учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /tt_report/configs:
    get:
      summary: GET /tt_report/configs
      operationId: get_tt_report_configs
      tags:
      - Отчеты учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /tt_report/configs
      operationId: post_tt_report_configs
      tags:
      - Отчеты учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /tt_report/configs/{uuid}:
    get:
      summary: GET /tt_report/configs/{uuid}
      operationId: get_tt_report_configs_by_uuid
      tags:
      - Отчеты учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /tt_report/configs/{uuid}
      operationId: put_tt_report_configs_by_uuid
      tags:
      - Отчеты учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /tt_report/configs/{uuid}
      operationId: delete_tt_report_configs_by_uuid
      tags:
      - Отчеты учета рабочего времени
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: uuid
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /directories:
    get:
      summary: GET /directories
      operationId: get_directories
      tags:
      - Справочники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /directories
      operationId: post_directories
      tags:
      - Справочники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /directories/{name}:
    get:
      summary: GET /directories/{name}
      operationId: get_directories_by_name
      tags:
      - Справочники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    put:
      summary: PUT /directories/{name}
      operationId: put_directories_by_name
      tags:
      - Справочники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /directories/{name}
      operationId: delete_directories_by_name
      tags:
      - Справочники
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: name
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /network:
    get:
      summary: GET /network
      operationId: get_network
      tags:
      - Сеть
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /network
      operationId: post_network
      tags:
      - Сеть
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /date_time:
    get:
      summary: GET /date_time
      operationId: get_date_time
      tags:
      - Дата и время
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /date_time
      operationId: post_date_time
      tags:
      - Дата и время
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /date_time/timezones:
    get:
      summary: GET /date_time/timezones
      operationId: get_date_time_timezones
      tags:
      - Дата и время
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /sse:
    get:
      summary: GET /sse
      operationId: get_sse
      tags:
      - SSE
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /access_confirmation:
    post:
      summary: POST /access_confirmation
      operationId: post_access_confirmation
      tags:
      - Подтверждение доступа
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /device_management/send_event:
    post:
      summary: POST /device_management/send_event
      operationId: post_device_management_send_event
      tags:
      - Управление устройствами
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /device_management/send_pass_event:
    post:
      summary: POST /device_management/send_pass_event
      operationId: post_device_management_send_pass_event
      tags:
      - Управление устройствами
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /share_vpn/status:
    get:
      summary: GET /share_vpn/status
      operationId: get_share_vpn_status
      tags:
      - Share VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /share_vpn:
    get:
      summary: GET /share_vpn
      operationId: get_share_vpn
      tags:
      - Share VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /share_vpn
      operationId: post_share_vpn
      tags:
      - Share VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /vpn/members:
    get:
      summary: GET /vpn/members
      operationId: get_vpn_members
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /vpn/master/status:
    get:
      summary: GET /vpn/master/status
      operationId: get_vpn_master_status
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /vpn/slave/status:
    get:
      summary: GET /vpn/slave/status
      operationId: get_vpn_slave_status
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /vpn/master/sync/stop:
    post:
      summary: POST /vpn/master/sync/stop
      operationId: post_vpn_master_sync_stop
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /vpn/master/sync/{serial}/{action}:
    post:
      summary: POST /vpn/master/sync/{serial}/{action}
      operationId: post_vpn_master_sync_by_serial_by_action
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: serial
        in: path
        required: true
        schema:
          type: string
      - name: action
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /vpn/slave/sync/{action}:
    post:
      summary: POST /vpn/slave/sync/{action}
      operationId: post_vpn_slave_sync_by_action
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: action
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /vpn/{serial}:
    delete:
      summary: DELETE /vpn/{serial}
      operationId: delete_vpn_by_serial
      tags:
      - VPN
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: serial
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /controller_search:
    get:
      summary: GET /controller_search
      operationId: get_controller_search
      tags:
      - Поиск контроллеров
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /controller_search
      operationId: post_controller_search
      tags:
      - Поиск контроллеров
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /controller_search/status:
    get:
      summary: GET /controller_search/status
      operationId: get_controller_search_status
      tags:
      - Поиск контроллеров
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /biometry_services/dit:
    get:
      summary: GET /biometry_services/dit
      operationId: get_biometry_services_dit
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /biometry_services/dit
      operationId: post_biometry_services_dit
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /biometry_services/dit/access_point:
    get:
      summary: GET /biometry_services/dit/access_point
      operationId: get_biometry_services_dit_access_point
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
    post:
      summary: POST /biometry_services/dit/access_point
      operationId: post_biometry_services_dit_access_point
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
  /biometry_services/dit/{id}:
    put:
      summary: PUT /biometry_services/dit/{id}
      operationId: put_biometry_services_dit_by_id
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    patch:
      summary: PATCH /biometry_services/dit/{id}
      operationId: patch_biometry_services_dit_by_id
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /biometry_services/dit/{id}
      operationId: delete_biometry_services_dit_by_id
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /biometry_services/dit/access_point/{id}:
    put:
      summary: PUT /biometry_services/dit/access_point/{id}
      operationId: put_biometry_services_dit_access_point_by_id
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
    delete:
      summary: DELETE /biometry_services/dit/access_point/{id}
      operationId: delete_biometry_services_dit_access_point_by_id
      tags:
      - Биометрические сервисы
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      security:
      - bearerAuth: []
  /biometry/generate_convolution:
    post:
      summary: POST /biometry/generate_convolution
      operationId: post_biometry_generate_convolution
      tags:
      - Биометрия
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
      - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
